"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateServiceTemplate = void 0;
const schematics_1 = require("@angular-devkit/schematics");
const core_1 = require("@angular-devkit/core");
class TemplateServiceSchema {
    constructor() {
        this.flat = false;
    }
}
function generateServiceTemplate(options) {
    return () => {
        options.name = options.name.replace(/^wml-/, "WML-");
        const templateSource = (0, schematics_1.apply)((0, schematics_1.url)('./files'), [
            (0, schematics_1.applyTemplates)({
                classify: core_1.strings.classify,
                dasherize: core_1.strings.dasherize,
                name: options.name
            }),
            (0, schematics_1.move)((0, core_1.normalize)(`/${options.path}/${core_1.strings.dasherize(options.name)}`))
        ]);
        options.flat = false;
        return (0, schematics_1.chain)([
            (0, schematics_1.externalSchematic)('@schematics/angular', 'service', options),
            (0, schematics_1.mergeWith)(templateSource, schematics_1.MergeStrategy.Overwrite)
        ]);
    };
}
exports.generateServiceTemplate = generateServiceTemplate;
//# sourceMappingURL=index.js.map